#include "zonefile_cod10_wiiu.h"

#include <QDataStream>
#include <QFile>
#include <QDebug>

ZoneFile_COD10_WiiU::ZoneFile_COD10_WiiU()
{

}

ZoneFile_COD10_WiiU::~ZoneFile_COD10_WiiU()
{

}

bool ZoneFile_COD10_WiiU::Load(const QByteArray aFileData) {
    return true;
}

Utils::AssetType ZoneFile_COD10_WiiU::AssetStrToEnum(const QString aAssetType) {
    const QString cleanedType = aAssetType.toUpper();
    if (cleanedType == "17000000") {        // localized string       PARTIALLY VERIFIED
        return Utils::ASSET_LOCALIZE_ENTRY;
    } else if (cleanedType == "20000000") { // raw_file               PARTIALLY VERIFIED
        return Utils::ASSET_RAWFILE;
    } else if (cleanedType == "1A000000") { // fx                     PARTIALLY VERIFIED
        return Utils::ASSET_FX;
    } else if (cleanedType == "09000000") { // loaded_sound           PARTIALLY VERIFIED
        return Utils::ASSET_SOUND;
    } else if (cleanedType == "04000000") { // x_anim                 PARTIALLY VERIFIED
        return Utils::ASSET_Animation;
    } else if (cleanedType == "0C000000") { // collision_map          PARTIALLY VERIFIED
        return Utils::ASSET_COLLISION_MAP;
    } else if (cleanedType == "21000000") { // string_table           PARTIALLY VERIFIED
        return Utils::ASSET_STRINGTABLE;
    } else if (cleanedType == "15000000") { // menu_file              PARTIALLY VERIFIED
        return Utils::ASSET_MENU;
    } else if (cleanedType == "07000000") { // tech set               PARTIALLY VERIFIED
        return Utils::ASSET_TECHNIQUE_SET;
    } else if (cleanedType == "18000000") { // weapon                 PARTIALLY VERIFIED
        return Utils::ASSET_WEAPON;
    } else if (cleanedType == "11000000") { // gfx map                PARTIALLY VERIFIED
        return Utils::ASSET_GFX_MAP;
    } else if (cleanedType == "12000000") { // light_def              PARTIALLY VERIFIED
        return Utils::ASSET_LIGHT_DEF;
    } else if (cleanedType == "14000000") { // font                   PARTIALLY VERIFIED
        return Utils::ASSET_FONT;
    } else if (cleanedType == "05000000") { // xmodel                 PARTIALLY VERIFIED
        return Utils::ASSET_XMODEL;
    } else if (cleanedType == "0D000000") { // d3dbsp                 PARTIALLY VERIFIED
        return Utils::ASSET_D3DBSP;
    } else if (cleanedType == "06000000") { // image                  PARTIALLY VERIFIED
        return Utils::ASSET_IMAGE;
    } else if (cleanedType == "0E000000") { // game map sp            PARTIALLY VERIFIED
        return Utils::ASSET_GAME_MAP_SP;
    } else if (cleanedType == "0B000000") { // col map sp             PARTIALLY VERIFIED
        return Utils::ASSET_COL_MAP_SP;
    }
    return Utils::ASSET_NONE;
}
